%define tarname		Coin

%define major		80
%define libname		%mklibname %name %major
%define libnamedev	%mklibname %name -d

Summary:		Implementation of the Open Inventor API
Name:			coin
Version:		4.0.3
Release:		%mkrel 1
License:		GPLv2
Group:			System/Libraries
URL:			https://coin3d.github.io/
Source0:		https://github.com/coin3d/coin/releases/download/v%{version}/%{name}-%{version}-src.tar.gz
Patch0:			Coin-3.1.3-coin-config-usrmove-hack.patch
Patch1:			coin-4.0.2-linking.patch
# From fedora:
Patch3:			0003-man3.patch
Patch4:			0006-inttypes.patch
Patch5:			0011-Fix-SoCamera-manpage.patch
# Upstream patch
#
BuildRequires:		cmake
BuildRequires:		doxygen
BuildRequires:		boost-devel
BuildRequires:		pkgconfig(expat)
BuildRequires:		pkgconfig(gl)
BuildRequires:		pkgconfig(glu)
BuildRequires:		pkgconfig(bzip2)
BuildRequires:		pkgconfig(fontconfig)
BuildRequires:		pkgconfig(freetype2)
BuildRequires:		pkgconfig(openal)
BuildRequires:		pkgconfig(zlib)

%description
Coin is an implementation of the Open Inventor API, fully backwards
compatible with SGI Open Inventor v2.1, and incorporating many new
features.
Coin is portable across Win32, Linux, SGI IRIX, Mac OS X, HP-UX, Sun
Solaris, IBM AIX, and other platforms.

%package -n %{libname}
Summary:		Main library for Coin
Group:			System/Libraries
Provides:		%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with Coin.

%package -n %{libnamedev}
Summary:		Headers for developing programs that will use Coin
Group:			Development/C++
Requires:		%{libname} = %{version}-%{release}
Provides:		libcoin-devel = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{tarname}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use Coin.

%prep
%setup -qn %{name}
%autopatch -p1

%build
%cmake -DCOIN_BUILD_DOCUMENTATION=TRUE \
       -DCOIN_BUILD_DOCUMENTATION_MAN=TRUE \
       -DCOIN_THREADSAFE=ON \
       -DCOIN_BUILD_TESTS=FALSE \
       -DHAVE_MULTIPLE_VERSION=TRUE \
       -DUSE_EXTERNAL_EXPAT=TRUE
%cmake_build

%install
%cmake_install

cd %{buildroot}%{_mandir}
%{_bindir}/rename .3 .3coin4 man3/*
cd -

mv %{buildroot}%{_datadir}/Coin/conf %{buildroot}%{_datadir}/Coin4/conf

%files -n %{libname}
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedev}
%doc README.md FAQ AUTHORS NEWS RELNOTES THANKS
%{_docdir}/Coin4/
%{_bindir}/%{name}-config
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/Coin4/
%{_mandir}/man3/*
%{_libdir}/cmake/%{tarname}-%{version}/
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Sep 07 2024 daviddavid <daviddavid> 4.0.3-1.mga10
+ Revision: 2093458
- new version: 4.0.3

* Thu Dec 28 2023 daviddavid <daviddavid> 4.0.2-1.mga10
+ Revision: 2023224
- new version: 4.0.2
- remove merged upstream patches

* Wed Mar 30 2022 umeabot <umeabot> 4.0.0-4.mga9
+ Revision: 1834128
- Mageia 9 Mass Rebuild

* Tue Jan 12 2021 daviddavid <daviddavid> 4.0.0-3.mga8
+ Revision: 1671410
- rename all manpages from .3 to .3coin4 thus avoid conflicting files

* Thu Dec 17 2020 daviddavid <daviddavid> 4.0.0-2.mga8
+ Revision: 1660024
- add upstream patch to fix CMake 3.19.1 regression

* Sun May 31 2020 daviddavid <daviddavid> 4.0.0-1.mga8
+ Revision: 1589138
- new version: 4.0.0
- now libmajor is 80
- switch to cmake build system
- update Url and Source Url

* Sat Feb 15 2020 umeabot <umeabot> 3.1.3-16.mga8
+ Revision: 1523988
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Mar 20 2019 daviddavid <daviddavid> 3.1.3-15.mga7
+ Revision: 1379166
- use system freetype2, expat, boost and bzip2
- use system zlib, mesaglu, openal and fontconfig
- enable Coin manpages and Coin html docs

* Tue Mar 19 2019 daviddavid <daviddavid> 3.1.3-14.mga7
+ Revision: 1378836
- add some patches from fedora

* Sun Sep 23 2018 umeabot <umeabot> 3.1.3-13.mga7
+ Revision: 1296667
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 wally <wally> 3.1.3-12.mga7
+ Revision: 1234770
- fix build on aarch64

* Sat Dec 31 2016 wally <wally> 3.1.3-11.mga6
+ Revision: 1078862
- update URL and Source0 to new location

* Sat Dec 31 2016 wally <wally> 3.1.3-10.mga6
+ Revision: 1078857
- don't own /usr/share/aclocal/

* Mon Feb 08 2016 umeabot <umeabot> 3.1.3-9.mga6
+ Revision: 946970
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1.3-8.mga5
+ Revision: 742697
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 3.1.3-7.mga5
+ Revision: 693657
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 3.1.3-6.mga5
+ Revision: 678470
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.1.3-5.mga4
+ Revision: 532393
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 wally <wally> 3.1.3-4.mga4
+ Revision: 468270
- add patch to fix build with gcc4.8 (from Arch)
- add patch/hack to fix coin-config after /usr-move
- drop .la files

* Fri Jan 11 2013 umeabot <umeabot> 3.1.3-3.mga3
+ Revision: 347999
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 barjac <barjac> 3.1.3-2.mga3
+ Revision: 290582
- fix build for gcc-4.7 and rebuild

* Tue Feb 21 2012 barjac <barjac> 3.1.3-2.mga2
+ Revision: 211636
- Corrected Requires on -devel

* Tue Feb 21 2012 barjac <barjac> 3.1.3-1.mga2
+ Revision: 211381
- New version 3.1.3
- imported package coin


* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 2.4.6-7mdv2011.0
+ Revision: 635133
- new devel package policy

* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.6-6mdv2011.0
+ Revision: 617404
- the mass rebuild of 2010.0 packages

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 2.4.6-5mdv2010.0
+ Revision: 437061
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 2.4.6-4mdv2009.0
+ Revision: 243593
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.4.6-2mdv2008.1
+ Revision: 170787
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Aug 26 2007 Gaëtan Lehmann <glehmann@mandriva.org> 2.4.6-1mdv2008.0
+ Revision: 71581
- 2.4.6
- Import coin



* Fri May 26 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.4.5-1mdv2007.0
- New release 2.4.5
- fix source url

* Tue Oct 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.4.4-2mdk
- BuildRequires Fix

* Tue Oct 04 2005 Lenny Cartier <lenny@mandriva.com> 2.4.4-1mdk
- 2.4.4

* Mon Jul 25 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.4.3-1mdk
- New release 2.4.3

* Tue Jun 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.1.0-2mdk
- rebuild

* Fri Oct 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.1.0-1mdk
- 2.1.0

* Fri Jun 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2a-1mdk
- use mklibname
- fix filelist
- from Jan Villat <rpms@djdie.net> : 
	- Updated version number

* Mon May 05 2003 Jan Villat <rpms@djdie.net> 2.0.0-1mdk
- First RPM build

# end of file
